SDL_GetCameraFormat(3)

NAME
SDL_GetCameraFormat - Get the spec that a camera is using when generating images.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetCameraFormat(SDL_Camera *camera, SDL_CameraSpec *spec);

DESCRIPTION
Note that this might not be the native format of the hardware, as SDL might be converting to this format behind the scenes. If the system is waiting for the user to approve access to the camera, as some platforms require, this will return -1, but this isn't necessarily a fatal error; you should either wait for an SDL_EVENT_CAMERA_DEVICE_APPROVED
 (or SDL_EVENT_CAMERA_DEVICE_DENIED ) event, or poll SDL_IsCameraApproved () occasionally until it returns non-zero.

FUNCTION PARAMETERS

camera
    opened camera device

spec
    The SDL_CameraSpec
     to be initialized by this function.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_OpenCameraDevice(3)